//---------------------------------------------------------------------------
// Flight Simulator X - Shader Effect Files
// Copyright (c) 2006, Microsoft Corporation
//---------------------------------------------------------------------------
//
// Just copy the base texture
//

#include "Terrain.fxh"

const bool EffectDeclaration
<
    string Name      = "TerrainWaterDetailReflect";
    string Class     = "Terrain";
    string Fallback  = "TerrainWaterDetail";
> = true;

technique T0
<
    int    Performance = EffectPerfLevel_MaxShader30;
>
{
    pass p0
    {
        #include <DefaultStates.fxh>

        VertexShader = compile vs_3_0 TerrainVS(false, true, true, false);
        PixelShader  = compile ps_3_0 TerrainPS(false, true, false, true, true, false);
        ColorWriteEnable = Red | Green | Blue | Alpha;
    }
}
